| Home | Libraries | People | FAQ | More

##### rtree(Iterator, Iterator, parameters_type const &, indexable_getter const &, value_equal const &, allocator_type const &, PackAlloc const &)

The constructor.

###### Description

The tree is created using packing algorithm and a temporary packing allocator.

###### Synopsis

    template<typename Iterator, typename PackAlloc>
    rtree(Iterator first,
          Iterator last,
          parameters_type const & parameters,
          indexable_getter const & getter,
          value_equal const & equal,
          allocator_type const & allocator,
          PackAlloc const & temp_allocator)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`Iterator` | `first` | The beginning of the range of Values.
`Iterator` | `last` | The end of the range of Values.
`parameters_type` `const &` | `parameters` | The parameters object.
`indexable_getter` `const &` | `getter` | The function object extracting Indexable from Value.
`value_equal` `const &` | `equal` | The function object comparing Values.
`allocator_type` `const &` | `allocator` | The allocator object for persistent data in the tree.
`PackAlloc const &` | `temp_allocator` | The temporary allocator object used when packing.

###### Throws

- If allocator copy constructor throws.
- If Value copy constructor or copy assignment throws.
- If allocation throws or returns invalid value.